#!/usr/bin/env ruby
module Debug
  def whoAmI?
    "#{self.class.name} (\##{self.object_id}): #{self.to_s}"
  end
end
class Phonograph
  include Debug
	def initialize(s)
		@name = s
	end
	def to_s()
		return @name
	end
end
class EightTrack
  include Debug
	def initialize(s)
		@name = s
	end
	def to_s()
		return @name
	end
end
ph = Phonograph.new("West End Blues")
et = EightTrack.new("Surrealistic Pillow")
puts ph.whoAmI?
puts et.whoAmI?
